/*
*/

#pragma once
#ifndef ELIZA_H
#define ELIZA_H

#define STRING_CAST_CHAR
#include "../datatypes.h"
#include "../prng.h"

class ChatTopic
{
	_linkedlist <String> keywords;
	_linkedlist <String> responses;

public:
	void add_keyword(char *Keyword);
	void add_response(char *Response);

	int match(char *question, String *&response, String *&keyword);
};

class ElizaBot
{
public:
	ElizaBot();

private:
	_linkedlist <ChatTopic> topics;
	LFSR_PRNG prng;

	void new_topic();
	void add_keyword(char *keyword);
	void add_response(char *response);

public:
	String get_answer(char *question);	// changes string to upper case
};

#endif	// ELIZA_H
